#{extends 'borderNG.html' /}

#{set 'titleHead'}
&{'penjelasan.tender'} ${paket?.pkt_nama}
#{/set}
<ol class="breadcrumb">
	<li><a href="@{BerandaCtr.index()}">&{'penjelasan.home'}</a></li>
	<li><a href="@{lelang.LelangCtr.view(lelang.lls_id)}">&{'penjelasan.info_tender'}</a></li>
	<li class="active">&{'penjelasan.penjelasan_tender'}</li>
</ol>

<div class="content">
	<table class="table table-sm">
	<tr>
		<th width="100">&{'penjelasan.kode_tender'}</th>
		<td>${lelang.lls_id}</td>
	</tr>
	<tr>
		<th>&{'penjelasan.nama_paket'}</th>
		<td>${lelang.paket.pkt_nama}</td>
	</tr>
	<tr>
		<th>&{'penjelasan.sisa_waktu'}</th>
		<td id="waktu"></td>
	</tr>
	#{if isPeserta}
	<tr>
		<td colspan="2" class="text-right"><a class="btn btn-success" href="javascript:void(0)" id="pesertaKirim">&{'penjelasan.kirim_pertanyaan'}</a></td>
	</tr>
	#{/if}
	</table>
	<div id="listPenjelasan"></div>
	#{if group.panitia}
  	<div class="bs-callout bs-callout-warning">
      	&{'penjelasan.pemilihan_masih_bisa'}
  	</div>
	#{/if}
</div>


#{set 'custom_script'}
<script type="text/javascript">
	var socket = new WebSocket('${wsURL}');
	socket.onopen = function(){  
		 socket.send("INIT"); 
		 socket.send("WAKTU");
	}
	socket.onmessage = function(msg){  
    	var data=JSON.parse(msg.data);    
    	if(data[0]=="") {	    	
    		var value = JSON.parse(data[1]);    		
    		if(!jQuery.isEmptyObject(value)) {    
		    	var content = '<span id="'+value.id+'">'+value.uraian+'</span>';
		    	if(value.allow_jawab) {
		    		content += '   <a href="javascript:void(0)" onclick="jawab('+value.id+')"><span class="badge  badge-secondary">Jawab</span></a>';
		    	}
		    	if(value.filename) {
		    		content += '<br />Lampiran : <a href="'+value.downloadUrl+'"><span class="fa fa-download"></span>'+value.filename+'</a>';
		    	}	    
				$("#listPenjelasan").append('<blockquote id="tanya-'+value.id+'" class="bgwarning"><b>'+value.dokumen+'</b> :'+content+
						  '<footer>'+value.tanggal+',Oleh '+value.pengirim+'</footer></blockquote><div id="jawab-'+value.id+'"></div>');
    		}
		}if(data[0]=="WAKTU") {
			$('#waktu').html(data[1]);
		}else if(data[0].length > 1){
			var value = JSON.parse(data[1]);
    		if(!jQuery.isEmptyObject(value)) {
				var content="";
				$.each(value, function (index, element){
					content += element.uraian;
					if(element.filename) {
						content += '<br />Lampiran : <a href="'+element.downloadUrl+'"><span class="fa fa-download"></span>'+element.filename+'</a>';
					}
					content += '<footer>'+element.tanggal+', Oleh '+element.pengirim+'</footer>';
				})
				content = '<blockquote class="blockquote-reverse bg-info">'+content+'</blockquote>';
				$("#listPenjelasan").find('#jawab-'+data[0]).html(content);
    		}
		}
    }  
	function jawab(dsl_id)
	{
		var content = $('#'+dsl_id).html()
		console.log(content);
		BootstrapDialog.show({
			draggable: true,
			title:'Kirim Penjelasan', 
			message:'<table class="table table-sm"><tbody>'+
					'<tr><th>Pertanyaan</th><td>'+content+'</td></tr>'+
                    '<tr><th>Jawaban</th><td><textarea id="uraian" cols="60" rows="10" class="form-control"></textarea></td></tr>'+
                    '<tr><th>Attachment</th><td><input type="file" id="file" class="form-control"/></td></tr>'+
                    '</tbody></table>', 
			buttons: [{
                label: 'Simpan',
                action: function(dialog) {
                	 data=new Array();
                     data[0]="JAWAB";
                 	 data[1]= dsl_id;
                 	 data[2]= $('#uraian').val();
                     if(data[2]==""){  
                        return ;  
                     }  
                     var file=document.getElementById('file').files[0];
                     try{  
                     	  jsonData=JSON.stringify(data);	
                          socket.send(jsonData); 
                     } catch(exception){  
                        //  message('<p class="warning">');  
                     }   
                   //send file                                        	 
                     if(file!=null)
                     {
                         	var data=new Array();
                         	data[0]="UPLOAD";
                         	data[1]=file.name;
                         	jsonData=JSON.stringify(data);	
                         	socket.send(jsonData);
                     		socket.send(file);
                     }
                    dialog.close();
                }
            }, {
                label: 'Batal',
                action: function(dialog) {
                    dialog.close();
                }
            }]		
		});
	}
	$("#pesertaKirim").click(function(){
		BootstrapDialog.show({
			draggable: true,
			title:'Kirim Pertanyaan', 
			message:'<table class="table table-sm"><tbody>'+
					'<tr><th>Dokumen</th><td><input name="penjelasan.dsl_dokumen" id="dokumen" type="text" size="60" class="form-control"></td></tr>'+
                    '<tr><th>Bab</th><td><input name="penjelasan.dsl_bab" id="bab" type="text" size="60" class="form-control"></td></tr>'+
                    '<tr><th>Uraian</th><td><textarea name="penjelasan.dsl_uraian" id="uraian" cols="60" rows="10" class="form-control"></textarea></td></tr>'+
                    '<tr><th>Attachment</th><td><input type="file" name="file" id="file" class="form-control"/></td></tr>'+
                    '</tbody></table>', 
			buttons: [{
                label: 'Simpan',
                action: function(dialog) {
                	data=new Array();
                    data[0]="TANYA";
              	  	data[1]= $('#dokumen').val();
              	  	data[2]= $('#bab').val();	  
              	  	data[3] = $('#uraian').val(); 
                    if(data[2]==""){  
                         return ;  
                    }  
                    try{  
                  	  jsonData=JSON.stringify(data);	
                      socket.send(jsonData);  
                    } catch(exception){  
                       message('<p class="warning">');  
                    }        
                    //send file
                    var file=document.getElementById('file').files[0];
                    if(file!=null)
                    {
                        	data=new Array();
                        	data[0]="UPLOAD";
                        	data[1]=file.name;
                        	jsonData=JSON.stringify(data);	
                        	socket.send(jsonData);
                    		socket.send(file);
                    }
                    dialog.close()
                }
            }, {
                label: 'Batal',
                action: function(dialog) {
                    dialog.close();
                }
            }]		
		});
	});
</script>
#{/set}